Minimum Php version 7.3 required for Amr Ical Events. Your version is 7.2.34

Wallach | Letzebuerger Ardenner Studbook a.s.b.l.

Wallach

Die Wallache sind nach Alter aufgeführt
– älteste zuerst-